> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/~/revisions/AMiYziCllTKB2y2lmONY/databases/postgresql/postgresql-faq.md).

# PostgreSQL FAQs

#### Will DBaaS be ever offered on Cloud Cubes?

As for now, DBaaS is only offered on Virtual Servers. Cloud Cubes may be used in the future as well.

#### Is there a connection pooling option for PosgreSQL?

IONOS DBaaS doesn't provide connection pooling. However, you may use a connection pooler (such as `pgbouncer`) between your application and the database.

#### After the connection limit has been reached, will there be an error?

Depending on the library you are using, it should be something like:

`failed to create DB connection: addr x.x.x.x:5432: connection refused.`

#### How do we prevent reaching the connection limit?

The best way to manage connections is to have your application maintain a pool of at least 10-20 connections. It is considered bad practice to have a lot of DB connections. However, letting the user configure `max_connections` themselves in the future is an option.

#### Can I scale the deployment to increase its connection limit?

Yes, see [Connection Limits](https://docs.ionos.com/cloud/managed-services/database-as-a-service/postgresql/overview#limitations) for more info.

#### What are the supported backup methods?

We provide an automated backup within our cloud. If you want to backup to somewhere else, you may use a client-side tool, such as [**`pg_dump`**](https://www.postgresql.org/docs/current/app-pgdump.html).

#### What are the main considerations for latency and performance?

The number of standby nodes (in addition to primary node) doesn’t really matter. If you have one or ten makes no difference. Synchronous modes are slower in write performance due to the increase in latency for communication between a primary node and a standby node.

#### Why can't I restore to the time I specified?

If you are receiving an error message `Parameter out of bounds: The recovery target time is before the newest basebackup.`, check the `earliestRecoveryTargetTime` of your backup. Your target time of the restore needs to be after this timestamp. You can use an earlier `earliestRecoveryTargetTime` backup for your cluster if you have one.

If the `earliestRecoveryTargetTime` is missing in your backup, the cluster from where you want to restore wasn't able to do a base backup. This can happen, when you e.g. quickly delete a newly created cluster, since the base backup will be triggered up to a minute after the cluster is available.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/cloud/~/revisions/AMiYziCllTKB2y2lmONY/databases/postgresql/postgresql-faq.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
